[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: update to F11 with yum



On Thu, 4 Jun 2009, Alan Evans wrote:

On Thu, Jun 4, 2009 at 7:36 AM, Kevin Kofler <kevin kofler chello at> wrote:
Alan Evans wrote:
I have a small number of 32-bit packages on my desktop. If I try to
remove, for example, glibc.i686, then it tries to take
basesystem.noarch with it as a dependency!

You must be missing some x86_64 package(s) then.

Actually, not that either. A closer examination of yum output reveals:

   removing basesystem-10.0-1.noarch. It is not required by anything else.

This is being tagged for removal by the remove-with-leaves plugin. So
I'm guessing that something in the dependency resolution stage calls
out for needing basesystem, but nothing else on my system technically
requires it. Should I consider that a bug?

Have you got two basesystem packages installed? The F11 basesystem package is basesystem-10.0-2.noarch.rpm.

	Michael Young


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]